funfact_page/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('', views.funfact_page, name='funfact_page')
]

schedule_page/urls.py
from django.urls import path
from . import views

app_name = 'schedule_page'

urlpatterns = [
    path('', views.schedule_page),
    path('add', views.addschedule_page, name='add'),
    path('delete/<id>', views.deleteschedule, name='delete')
]

website/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.static import static
from . import views
from django.conf import settings


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', views.index, name='mainpage'),
    path('funfact/', include('funfact_page.urls')),
    path('schedule/', include(('schedule_page.urls', 'schedule_page'),namespace="schedule_page")),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

funfact_page/models.py
from django.db import models

# Create your models here.

schedule_page/models.py
from django.db import models

# Create your models here.
class Schedule(models.Model):
    nama = models.CharField(max_length=100)
    kategori = models.CharField(max_length=50)
    tempat = models.CharField(max_length=75)
    tanggal = models.DateField()
    jam = models.TimeField()

schedule_page/forms.py
from django.db import models
from django import forms
from . import models
import datetime

class FormSchedule(forms.ModelForm):
    kategori = forms.CharField(widget=forms.TextInput(attrs = {"placeholder" : "Kategori Jadwal" }))
    nama = forms.CharField(widget=forms.TextInput(attrs = {"placeholder" : "Nama Jadwal" }))
    tempat = forms.CharField(widget=forms.TextInput(attrs = {"placeholder" : "Nama Tempat" }))
    tanggal = forms.DateField(initial=datetime.date.today(),
                widget=forms.TextInput(attrs={'class':'form-control'}))
    jam =  forms.TimeField(initial=datetime.time(),
                widget=forms.TextInput(attrs={'class':'form-control'}))
                        
    class Meta:
        model = models.Schedule
        fields = [
                'kategori',
                'nama',
                'tempat',
                'tanggal',
                'jam']

funfact_page/views.py
from django.shortcuts import render

def funfact_page(request):
    return render(request, 'funfact_page.html')

schedule_page/views.py
from django.shortcuts import render, redirect
from .forms import FormSchedule
from .models import Schedule

def schedule_page(request):
    schedules = Schedule.objects.all()
    return render(request, 'schedule_page.html', {'sched': schedules})

def addschedule_page(request):
    form = FormSchedule()
    if request.method == "POST":
        form = FormSchedule(request.POST)
        if form.is_valid():
            form.save()
        return redirect('schedule_page:add')
    return render(request, 'addschedule_page.html', {'form' : form})

def deleteschedule(request, id):
    deleted = Schedule.objects.get(id=id)
    deleted.delete()
    newsched = Schedule.objects.all()

    return render(request, 'schedule_page.html', {'sched' : newsched})

website/views.py
from django.http import HttpResponse
from django.shortcuts import render

def index(request):
    return render(request,'index.html') 

templates/addschedule_page.html
{% extends "base.html" %}
{% load static %}

{% block content %}
{% include 'base_b.html' %}
<h1>add schedule page</h1>
<div class="container-fluid">
    <h2 class="pagetitle" style="margin-top: 50px; margin-bottom: 50px">Add Schedule Page</h2>
      <div class="container">
       
             <form class="site-form" method="POST" action="{% url 'schedule_page:add' %}">
                    {% csrf_token %}
                 <div class="row">
                        
                    {{form.kategori.label_tag}}  {{ form.kategori }}
                 </div>       
                 <br>     
                 <div class="row">
                    
                    {{form.nama.label_tag}} {{ form.nama}}
                 </div>   
                 <br> 
                 <div class="row">
                      
                    {{form.tempat.label_tag}} {{form.tempat}}
                 </div>
                 <br>
                 <div class="row">
                   
                    {{form.tanggal.label_tag}}  {{form.tanggal}}
                 </div>
                 <br>
                 <div class="row">
                        
                    {{form.jam.label_tag}} {{form.jam}}
                 </div>
                 <br>   
                 <input type="submit" value="Add Schedule">
             </form> 
          
      </div>
      </div>
  </div>

{% endblock %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=yes">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{% static 'bootstrap.css' %}">
    <link rel="stylesheet" href="{%  static 'style.css' %}">
    <title>Ayasha's Website</title>
  </head>

  <body>  
          {% block content %} {% endblock %}
        <!-- Optional JavaScript -->
        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
      </body >
    </html>
 

templates/base_b.html
<!--Non-main page navbar base-->
<div class="container-fluid color-background2 padbottom">
    <nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-info">
        <div class = "container">
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                <div class="navbar-nav">
                    <a class="nav-item nav-link active" href="/">Back to main page</a>
                </div>
            </div>
        </div>
    </nav>

templates/funfact_page.html
{% extends "base.html" %}
{% load static %}
{% block content %}

        <!--Navbar Code-->
        <div class="container-fluid color-background2 padbottom">
            <nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-info">
                <div class = "container">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                        <div class="navbar-nav">
                            <a class="nav-item nav-link active" href="/">Back to main page</a>
                        </div>
                    </div>
                </div>
            </nav>

        <!--Page Code-->
            <h2 class="pagetitle" id="TMI">Here's a little funfact of me!</h2>
            <div class="container">
                <li>I don't like horror movies. There is only one time I have ever watch horror movie in cinema.
                    I really can't stand the jumpscares of horror movies.</li> <br>
                <li>Although I'm not into horror movies, I enjoy thriller movies.</li> <br>
                <li>I prefer reading physical books rather than the online one, because the feel and the smell of 
                    paper books are so calming for me</li> <br>
                <li>I am an impulsive shopper</li> <br>
                <li>I like both amusement park and waterpark</li><br>
                <li>I hope I can pass web development course this semester!:)</li><br><br>
                <h4 class="centertext">“Let us rise up and be thankful, for if we didn’t learn a lot today, 
                at least we learned a little, and if we didn’t learn a little, at least we didn’t get sick, 
                and if we got sick, at least we didn’t die; so let us all be thankful.” </h4>
                <h4 class="centertext">-Buddha</h4><br>
                <h5 class="centertext">Have a positive and bright day!</h5>
            </div>
        </div>
        {% endblock %}

templates/index.html
{% extends "base.html" %}
{% load static %}

    {% block content %}
    <!--Navbar Code-->
    <nav class="navbar navbar-expand-lg fixed-top navbar-dark bg-info">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
        <div class="navbar-collapse collapse w-100 dual-collapse2 order-1 order-md-0" id=navbarNavAltMarkup>  
              <ul class="navbar-nav ml-auto text-center">     
                  <li class="nav-item active">
                      <a class="nav-link" href="#aboutme">About Me</a>
                  </li>
                  <li class="nav-item active">
                      <a class="nav-link" href="#myexperiences">Experience</a>
                  </li>
               </ul>
         </div>   
        <div class="navbar-collapse collapse w-100 dual-collapse2 order-2 order-md-2" id=navbarNavAltMarkup>
              <ul class="navbar-nav mr-auto text-center">
                  <li class="nav-item active">
                      <a class="nav-link" href="#education">Education</a>
                  </li>
                  <li class="nav-item active">
                      <a class="nav-link" href="#contact">Contact</a>
                 </li>               
               <li class="nav-item dropdown active">
                 <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                   Schedule
                 </a>
                 <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                   <a class="dropdown-item" href="/schedule">Schedule Page</a>
                   <a class="dropdown-item" href="/schedule/add">Add Schedule</a>
                 </div>
               </li>            
              </ul>  
        </div>
         
    </nav>

      <!--Landing Page-->
      <div class="container-fluid text-center landingpage" id="toppage">
        <img src="{%  static 'profile.jpg' %}" width="250" class="rounded-circle img-thumbnail">
          <h1 class="display-5 padtop" >Ayasha Nadira Widyadhana</h1>
          <h4 class="lead">Welcome to my portfolio site!</h4>
          <a href="#aboutme"><img src="{%  static "arrow.png" %}" width="50" class="padarrow">
          </a>
      </div>
    
    <!--About Me Section-->
    <div class="container-fluid color-background">
      <h2 class="pagetitle" id="aboutme">About Me</h2>
        <div class="container">
          <div class="row">
            <div class="col-md-6">
              <p class="paddingleft paddingright">College student that strive to be better. Currently, I just started my second year at college. 
              I have completed few courses on my first year on information system major.
              I am big fan of coffee, likes to travel a lot, and have a ton of bucket list. I have a dream of travelling the world someday.
              </p>  
            </div>

            <div class="col-md-6">
              <p class="paddingleft">Name : <br> Ayasha Nadira Widyadhana <br> <br> Birthdate : <br> August 7th 2000 <br> <br>
                Age :<br> 19 <br> <br> <br> 
              </p>       
              <a href="/funfact"><h5 class="textcenter">Want to know more? Click here!</h5></a>
            </div>
        </div>
        </div>
    </div>
    
    <!--Experience Section-->
    <div class="container-fluid color-background2" id="experiencepadding">
        <h2 class="pagetitle" id="myexperiences">My Experiences</h2>
        <div class="container">
          <div class="row" id="experiencepadbetween">
            <div class="col-md-4">
              <img src="{%  static 'cf.jpg' %}" width="250" height="237" alt="compfest logo" class="center">
            </div>

            <div class="col-md-8 padboxexperience">
              <h3 class="experiencetitle">COMPFEST</h3>
              <h4 >Digital Marketing</h4>
              <h4 >February 2019 - Present</h4>
                  <li>Maintaining and raising people's awareness of COMPFEST</li>
                  <li>Interacting and buzzing audiences through social media</li>
                  <li>Advertising COMPFEST's content </li>       
            </div>
          </div>

          <div class="row">
            <div class="col-md-4">
              <img src="{%  static 'aiesec.png' %}" width="250" height="237" alt="aiesec logo" class="center">
            </div>
            
            <div class="col-md-8 padboxexperience">
              <h3 class="experiencetitle">AIESEC Universitas Indonesia</h3>
              <h4>Organizing Committtee of Beyond Race Project Winter 2019</h4>
              <h4>September 2018 - February 2019</h4>
                <li>Interviewing and selecting Exchange Participants (EP)</li>
                <li>Manage the learning material of the project</li>
                <li>Make the MoU and secure an agreement with OP Taker (Opportunity Provider Taker)</li>
                <li>Organize files and administration</li>
            </div>

          </div>
        </div>
    </div>

    <!--Education Section-->
    <div class="container-fluid color-background">
      <h2 class="pagetitle" id="education">Education</h2>
      <div class="container">
        <div class="row padbottom">
          <div class="col-md-8 padboxeducation">
            <h3 class="educationtitle">Universitas Indonesia</h3>
            <h4>Bachelor's Degree, information System</h4>
            <h4>2018 - Present</h4>
          </div>

          <div class="col-md-4">
            <img src="{%  static 'ui.png' %}" width="225" height="225" alt="logo UI" class="center">
          </div>
        </div>

        <div class="row ">
          <div class="col-md-8 padboxeducation">
            <h3 class="educationtitle"> SMAN 81 Jakarta</h3>
            <h4>Mathematics & Natural Science</h4>
            <h4>2015 - 2018</h4>
          </div>

          <div class="col-md-4">
            <img src="{%  static 'Sman_81.jpg' %}" width="225" height="225" alt="logo sman 81 jkt" class="center">
          </div>
        </div>
      </div>
    </div>
     
    <!--Contact Section-->
    <div class="container-fluid color-background2 padfar">
      <h2 class="pagetitle" id="contact">Get in Touch!</h2>
      <div class="container">
        <div class="row">
          <div class="col-md-4 paddingleft">
            <a href="https://www.linkedin.com/in/ayasha-nadira-widyadhana-b80297172/" target="_blank">
              <img src="{%  static 'linkedin.png' %}" width="200" height="170" alt="linkedin" class="center"> 
            </a>
            <h4 class="centertext">Ayasha Nadira Widyadhana</h4>
          </div>

          <div class="col-md-4 paddingleft">
            <a href="https://instagram.com/ayashandrr" target="_blank">
            <img src="{%  static 'ig.png' %}" width="200" height="170" alt="instagram" class="center">
            </a>
            <h4 class="centertext">@ayashandrr</h4>
          </div>

          <div class="col-md-4 paddingleft">
            <img src="{%  static 'email.png' %}" width="200" height="170" alt="email" class="center">
            <h4 class="centertext">ayashanadiraaa@gmail.com</h4>
          </div>
        </div>

        <a href="#toppage"><img src="{%  static 'up-arrow.png' %}" class="centerarrow" width="50" >
        </a>         
    </div>
    {% endblock %}
  

templates/schedule_page.html
{% extends "base.html" %}
{% load static %}

{% block content %}
{% include 'base_b.html' %}
<h1>swjd</h1>
<div class="container-fluid color">
    <h2 class="pagetitle" style="margin-top: 50px; margin-bottom: 50px">Schedule Page</h2>
      <div class="container">
          <table class="table table-bordered">
              <thead>
                <tr>
                    <th>Kategori</th>
                    <th>Nama</th>
                    <th>Tempat</th>
                    <th>Tanggal</th>
                    <th>Jam</th>
                </tr>
              </thead>
              <tbody>
                  {% for i in sched %}
                <tr>
                  <td>{{i.kategori}}</td>
                  <td>{{i.nama}}</td>
                  <td>{{i.tempat}}</td>
                  <td>{{i.tanggal}}</td>
                  <td>{{i.jam}}</td>
                  <td> <a href ="{% url 'schedule_page:delete' id=i.id %}"><button class="btn btn-danger" type="submit">Delete</button></a></td>
                </tr>
  
                {% endfor %}    
              </tbody>
            </table>
      </div>
  </div>

{% endblock %}